<?php
  $object           = new Subscriber;
  $object->name     = "Fred";
  $object->password = "haslo123";
  $object->phone    = "012 345 6789";
  $object->email    = "fred@bloger.com";
  $object->display();

  class User
  {
    public $name, $password;
  
    function save_user()
    {
      echo "Miejsce na kod funkcji save_user";
    }
  }

  class Subscriber extends User
  {
    public $phone, $email;
  
    function display()
    {
      echo "Imię:    " . $this->name     . "<br>";
      echo "Hasło:   " . $this->password . "<br>";
      echo "Telefon: " . $this->phone    . "<br>";
      echo "E-mail:  " . $this->email;
    }
  }
?>
